## argvalidate 0.9.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf _build/*
	-touch _build/keep

html:
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

pickle:
	mkdir -p _build/pickle _build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web _build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

=== debian/changelog ===
argvalidate (0.9.0-2) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Barry Warsaw ]
  * d/compat: Bump to 9.
  * d/control:
    - Update Build-Depends* fields for dh-python2 and pybuild.  Remove
      dependency on python-support.  Add dependency on python-sphinx.
    - Add X-Python-Version header.
    - Bump Standards-Version to 3.9.5 with no other changes necessary.
  * d/rules: Convert to dh-python2 and pybuild.
  * d/source/format: Convert to "3.0 (quilt)"

 -- Barry Warsaw <barry@debian.org>  Wed, 17 Sep 2014 14:58:18 -0400

argvalidate (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Homepage field.
    + Bumped Standards-Version to 3.8.1, no modifications required.
    + Added python (>= 2.5.4-1~) to Build-Depends (for --install-layout=deb).

  * debian/watch:
    + Added final newline.

  * debian/rules:
    + Added --install-layout=deb option to python setup.py install call.

 -- Stephan Peijnik <debian@sp.or.at>  Sat, 28 Mar 2009 16:57:18 +0100

argvalidate (0.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Stephan Peijnik <debian@sp.or.at>  Thu, 26 Feb 2009 10:11:35 +0100

argvalidate (0.8.1-1) unstable; urgency=low

  * Initial release (Closes: #516880)

 -- Stephan Peijnik <debian@sp.or.at>  Wed, 25 Feb 2009 12:13:14 +0100

=== debian/control ===
Source: argvalidate
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stephan Peijnik <debian@sp.or.at>
Build-Depends: debhelper (>= 9), dh-python, python (>= 2.6.6-3~)
Build-Depends-Indep: python-setuptools, python-sphinx
Standards-Version: 3.9.5
Homepage: http://code.sp-its.at/projects/argvalidate
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/argvalidate/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/argvalidate/trunk/
X-Python-Version: >= 2.6

Package: python-argvalidate
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: libjs-jquery
Description: simple argument validator library
 python-argvalidate provides developers with a simple way of doing
 type-checking for both Python functions and methods.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	make -C doc html
	dh_installdocs

override_dh_clean:
	make -C doc clean
	dh_clean

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/a/argvalidate/argvalidate-(.*)\.tar.gz
